%global _empty_manifest_terminate_build 0
Name:		python-pyRFC3339
Version:	1.1
Release:	1
Summary:	Generate and parse RFC 3339 timestamps
License:	MIT
URL:		https://github.com/kurtraschke/pyRFC3339
Source0:	https://files.pythonhosted.org/packages/00/52/75ea0ae249ba885c9429e421b4f94bc154df68484847f1ac164287d978d7/pyRFC3339-1.1.tar.gz
BuildArch:	noarch

Requires:	python3-pytz

%description
This package contains a python library to parse and generate RFC 3339-compliant timestamps using Python datetime.datetime objects.

%package -n python3-pyRFC3339
Summary:	Generate and parse RFC 3339 timestamps
Provides:	python-pyRFC3339
Provides:	python3-pyrfc3339
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-pyRFC3339
This package contains a python library to parse and generate RFC 3339-compliant timestamps using Python datetime.datetime objects.

%package help
Summary:	Development documents and examples for pyRFC3339
Provides:	python3-pyRFC3339-doc
%description help
man pages for python3-pyRFC3339

%prep
%autosetup -n pyRFC3339-1.1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-pyRFC3339 -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Jun 28 2021 Python_Bot <Python_Bot@openeuler.org> - 1.1-1
- Package Spec generated
